Pulp - Task #8975
Task # 8488 (CLOSED - COMPLETE): [EPIC] Upgrade to django 3.2

Provide environment variables to permit Django ORM to work in an async context
06/25/2021 04:42 PM - dalley

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: dalley % Done: 100%
Category: Estimated time: 0:00 hour
Sprint/Milestone: 3.14.0

Platform Release: Tags:

Groomed: No Sprint:

Sprint Candidate: No Quarter:

Description

We will need to have provide for the worker processes the environment variable DJANGO_ALLOW_ASYNC_UNSAFE

https://docs.djangoproject.com/en/3.1/topics/async/#envvar-DJANGO_ALLOW_ASYNC_UNSAFE

Despite the warnings, we've tried to be careful about our usage of the ORM so that it remains safe within async code (not sharing
querysets between coroutines), so it should be safe. In any case, it's just re-enabling what we've been doing for a long time.

At some point when Django introduces proper async ORM support we will definitely want to re-architect to take advantage of that.

Associated revisions

Revision 7af86d5f - 06/29/2021 08:13 PM - dalley

Add environment variables for preliminary Django 3.0+ compat

closes: #8975 https://pulp.plan.io/issues/8975

History

#1 - 06/25/2021 04:43 PM - dalley

- Subject changed from Provide environment variables to permit Django async to work in an async context to Provide environment variables to permit
Django ORM to work in an async context

#2 - 06/28/2021 10:32 PM - dalley
- Status changed from NEW to POST
- Assignee set to dalley

- Sprint/Milestone set to 3.14.0

#3 - 06/28/2021 10:41 PM - pulpbot
PR: https://github.com/pulp/pulpcore/pull/1445

#4 - 06/28/2021 11:00 PM - dalley
- Sprint/Milestone deleted (3.14.0)

#5 - 06/28/2021 11:33 PM - dalley
- Parent task changed from #8822 to #8488

#6 - 06/29/2021 08:13 PM - dalley
- Status changed from POST to MODIFIED
- % Done changed from 0 to 100

Applied in changeset pulpcore|7af86d5fc0ad2b13479f67a67013c465d6b9585d.
#7 - 07/01/2021 04:00 PM - pulpbot
- Sprint/Milestone set to 3.14.0

#8 - 07/01/2021 04:43 PM - pulpbot
- Status changed from MODIFIED to CLOSED - CURRENTRELEASE
